<?php
declare(strict_types=1);

namespace WriteTextAI\WriteTextAI\Api;

/**
 * Interface PingInterface
 * Simple ping endpoint to test API connectivity
 */
interface PingInterface
{
    /**
     * Test API connection
     *
     * @return \WriteTextAI\WriteTextAI\Api\Data\PingResultInterface
     */
    public function ping();
}
